Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 532794 - Remove www-apache/mod_auth_mysql
Summary: Remove www-apache/mod_auth_mysql
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux MySQL bugs team
URL:
Whiteboard: Pending removal: 2016-09-21
Keywords: PMASKED
Depends on: apache-2.4-stable
Blocks: 593374
  Show dependency tree
 
Reported: 2014-12-17 11:02 UTC by Pacho Ramos
Modified: 2016-10-01 07:33 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pacho Ramos gentoo-dev 2014-12-17 11:02:02 UTC
We will need to kill this for apache-2.4 as looks it's not compatible with it:
http://pkgs.fedoraproject.org/cgit/mod_auth_mysql.git/tree/dead.package
https://tracker.debian.org/news/402530
Comment 1 Brian Evans Gentoo Infrastructure gentoo-dev 2014-12-17 15:29:56 UTC
Suggest replacing with APACHE_MODULES="mod_authn_dbd" and dev-libs/apr-util[mysql].

Note that there could be a performance issue under load according to https://httpd.apache.org/docs/2.4/mod/mod_authn_dbd.html without 2.4's mod_authn_socache.

Not sure if mod_authz_dbd is also desired.  authn_dbd exists in 2.1+ while authz_dbd needs 2.4+
Comment 2 Pacho Ramos gentoo-dev 2014-12-18 13:16:38 UTC
(In reply to Brian Evans from comment #1)
> Suggest replacing with APACHE_MODULES="mod_authn_dbd" and
> dev-libs/apr-util[mysql].

If I understand properly... mod_authn_dbd is provided by dev-libs/apr-util[mysql]?

Thanks for the info
Comment 3 Brian Evans Gentoo Infrastructure gentoo-dev 2014-12-18 13:24:12 UTC
(In reply to Pacho Ramos from comment #2)
> (In reply to Brian Evans from comment #1)
> > Suggest replacing with APACHE_MODULES="mod_authn_dbd" and
> > dev-libs/apr-util[mysql].
> 
> If I understand properly... mod_authn_dbd is provided by
> dev-libs/apr-util[mysql]?
> 
> Thanks for the info

mod_authn_dbd is part of apache provides the generic framework.  The apr_dbd_mysql driver is included in apr-utils[mysql]
Comment 4 Pacho Ramos gentoo-dev 2014-12-18 13:30:35 UTC
[...] 
> mod_authn_dbd is part of apache provides the generic framework.  The
> apr_dbd_mysql driver is included in apr-utils[mysql]

Do we need to wait for apache-2.4 to be stabilized or that migration can also be done with 2.2? (and, then, people won't need to migrate later)
Comment 5 Brian Evans Gentoo Infrastructure gentoo-dev 2014-12-18 13:34:29 UTC
(In reply to Pacho Ramos from comment #4)
> [...] 
> > mod_authn_dbd is part of apache provides the generic framework.  The
> > apr_dbd_mysql driver is included in apr-utils[mysql]
> 
> Do we need to wait for apache-2.4 to be stabilized or that migration can
> also be done with 2.2? (and, then, people won't need to migrate later)

If mod_authz_dbd is needed by people, then 2.4 needs to be stable.

On this part, I'm not sure how this module normally would need to migrate (authn vs authz).

Perhaps more of the team could comment as well.
Comment 6 Pacho Ramos gentoo-dev 2016-10-01 07:33:48 UTC
removed